package com.supervision.manage.controller.file;

import com.supervision.manage.service.FileManageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

@Api(tags = "文件管理")
@RestController
@RequestMapping("/fileManage")
@RequiredArgsConstructor
public class FileManageController {

    private final FileManageService fileManageService;
    @ApiOperation("上传文件")
    @PostMapping("/uploadFile")
    public String uploadFile(@RequestParam("file") MultipartFile multipartFile) throws Exception {

        return fileManageService.uploadFile(multipartFile,multipartFile.getContentType());

    }

    @ApiOperation("下载文件")
    @GetMapping("/downloadFile")
    public void downloadFile(@RequestParam String fileId, HttpServletResponse response) throws Exception {

        fileManageService.downloadFile(fileId, response);

    }
}
