package com.supervision.service;

import com.supervision.model.Disease;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author flevance
 * @description 针对表【vp_disease(疾病名称)】的数据库操作Service
 * @createDate 2023-10-20 17:19:21
 */
public interface DiseaseService extends IService<Disease> {


    /**
     * 根据疾病的id查询疾病列表
     *
     * @param id 疾病id
     * @return 疾病列表，如果不是复合疾病或包含的疾病id列表为空，则返回包含单个疾病对象的列表，如果是复合疾病，则返回包含复合疾病对象的列表
     */
    List<Disease> listDiseaseNestIfComposite(String id);


}
